#ifndef	_GRAPH_H
#define	_GRAPH_H


char LcdWin2Lcd(char znak);
unsigned int rgb2_r5g6b5( unsigned char r, unsigned char g, unsigned char b );
unsigned int ansii2_r5g6b5( unsigned char color );

// Color definitions
//r5 g6 b5		rrrr rGGG GGGb bbbb
#define R5G6B5_BLACK       0x0000      //   0,   0,   0 /
#define R5G6B5_NAVY        0x000F      //   0,   0, 128 /
#define R5G6B5_DARKGREEN   0x03E0      //   0, 128,   0 /
#define R5G6B5_DARKCYAN    0x03EF      //   0, 128, 128 /
#define R5G6B5_MAROON      0x7800      // 128,   0,   0 /
#define R5G6B5_PURPLE      0x780F      // 128,   0, 128 /
#define R5G6B5_OLIVE       0x7BE0      // 128, 128,   0 /
#define R5G6B5_LIGHTGREY   0xC618      // 192, 192, 192 /
#define R5G6B5_DARKGREY    0x7BEF      // 128, 128, 128 /
#define R5G6B5_BLUE        0x001F      //   0,   0, 255 /
#define R5G6B5_GREEN       0x07E0      //   0, 255,   0 /
#define R5G6B5_CYAN        0x07FF      //   0, 255, 255 /
#define R5G6B5_RED         0xF800      // 255,   0,   0 /
#define R5G6B5_MAGENTA     0xF81F      // 255,   0, 255 /
#define R5G6B5_YELLOW      0xFFE0      // 255, 255,   0 /
#define R5G6B5_WHITE       0xFFFF      // 255, 255, 255 /
#define R5G6B5_ORANGE      0xFD20      // 255, 165,   0 /
#define R5G6B5_GREENYELLOW 0xAFE5      // 173, 255,  47 /
#define R5G6B5_PINK        0xF81F


//-----------------------------------------------------------------
#define	_a	"\x11"
#define	_c	"\x12"
#define	_e	"\x13"
#define	_l	"\x14"
#define	_n	"\x15"
#define	_o	"\x16"
#define	_s	"\x17"
#define	_zi	"\x18"
#define	_x	"\x18"
#define	_z	"\x19"

#define	_A	"\x01"
#define	_C	"\x02"
#define	_E	"\x03"
#define	_L	"\x04"
#define	_N	"\x05"
#define	_O	"\x06"
#define	_S	"\x07"
#define	_ZI	"\x08"
#define	_X	"\x08"
#define	_Z	"\x09"


#define	LCDCHAR_COPYRIGHT_c			0xA
#define	LCDCHAR_COPYRIGHT_s			"\x0A"
#define	LCDCHAR_RESERVED_c			0xB
#define	LCDCHAR_RESERVED_s			"\x0B"
#define	LCDCHAR_OHM_c				0xC
#define	LCDCHAR_OHM_s				"\x0C"
#define	LCDCHAR_MIKRO_c				0xD
#define	LCDCHAR_MIKRO_s				"\x0D"
#define	LCDCHAR_DIODE_c				0xE
#define	LCDCHAR_DIODE_s				"\x0E"
#define	LCDCHAR_STOPNIE_C_c			0xF
#define	LCDCHAR_STOPNIE_C_s			"\x0F"
#define	LCDCHAR_STOPNIE_F_c			0x10
#define	LCDCHAR_STOPNIE_F_s			"\x10"

#define	LCDCHAR_SPACE_c				0x80
#define	LCDCHAR_SPACE_s				"\x80"


#endif
